/*
 * nodcmtk.h
 *
 *  Created on: Oct 22, 2024
 *      Author: joco
 *
 *  fake dcmtk type definitions
 *  to facilitate non-dcmtk imageproc wasm build
 */

#ifndef IMGPROC_INCLUDE_IMGPROC_NODCMTK_H_
#define IMGPROC_INCLUDE_IMGPROC_NODCMTK_H_

#ifdef IMGPROC_NO_DCMTK

#include <cstdint>
#include <string>

#define Sint32	int32_t
#define Uint32	uint32_t
#define Sint16	int16_t
#define Uint16	uint16_t
#define Sint8	int8_t
#define Uint8	uint8_t
#define Float32	float
#define Float64	double

#define OFString			std::string
#define OFString_npos		std::string::npos
#define OFBool				bool
#define OFTrue				true
#define OFFalse				false
#define OFstatic_cast(a,b)	static_cast<a>(b)

#define DcmDataset	void
#define DcmElement	void

#endif //IMGPROC_NO_DCMTK

#endif /* IMGPROC_INCLUDE_IMGPROC_NODCMTK_H_ */
