#!/bin/bash
#
#    Applies a bundle ZIP file.
#
# Usage:
#      applyBundle.sh <bundleFile>
#
#    <bundleFile>      : fileName of the zip file containing the bundle
#
#  Last Modified by : $Author$
#  Last Modified at : $Date$
#  RCS File Name    : $RCSfile$
#  RCS Revision     : $Revision$
#  Locked by        : $Locker$
#  Symbolic name    : $Name$
#  State            : $State$
#

. $HOME/etc/setenv.sh

bundleFile="$1"

if [ -z "$bundleFile" ] ; then
	echo "Usage:"
	echo "applyBundle.sh <bundleFile>"
	exit 1
fi

if [ ! -e $bundleFile ] ; then
	echo "The file $bundleFile does not exist."
	exit 1
fi

java imagemed.util.BundleManager "$bundleFile"
