<%--
 * Component: tools
 *
 *   md5 check sum of DICOM object
 *
 * Parameters:
 *
 *   cSTYUID : STYUID of DICOM object what checking
 *
 * $Author$
 * $Date$
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@
	page import="java.io.*,imagemed.imsession.*,imagemed.jsputil.*,imagemed.util.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession(request, response, out); 

	// Check login
	if (!IfaceToolbox.isRegOK(is)) {
		is.out.println("ERROR: FAILED registration");
		return;
	}
	String dcmStyUID = is.request.getParameter("cSTYUID");
	if ( dcmStyUID==null) {
		is.out.println("ERROR: cSTYUID missing");
		return;
	}

	File studyDicomDir = new File(RepositoryHandler.getLocation(RepositoryHandler.DATA, dcmStyUID));
	
  String ignoreTagsFileName = (new File(IMEnvBase.getEnv("ARCHIVE_VAR")+"/ignoretags")).exists() ?
  	IMEnvBase.getEnv("ARCHIVE_VAR")+"/ignoretags" :
    IMEnvBase.getEnv("ARCHIVE_HOME")+"/ignoretags" ;
                    
  String[] env = {"HOME=" + IMEnvBase.getEnv("HOME")};
	String[] objectFiles = studyDicomDir.list();
	String[] cmd = new String[5];
	cmd[0] = IMEnvBase.getEnv("DICOM_HOME") + "/bin/objdiff.sh";
	cmd[1] = "-m";
	cmd[2] = "-i";
	cmd[3] = ignoreTagsFileName;

	for(int i=0; i<objectFiles.length; i++)
	{
		if (objectFiles[i].startsWith(".")) {
			continue;
		}
		File objFile = new File(studyDicomDir, objectFiles[i]);
		if (!objFile.isFile()) {
			continue;
		}
		cmd[4] = objFile.getAbsolutePath();
		
		RunCommandResult md5 = Helper.runCommandEx(cmd,env);
		if( md5.getExitCode() == 0 )
		{
			is.out.print( md5.getOutput() );
		} 
		else
		{
			is.out.print( md5.getError() );
			return;
		} 
		
	}
  if (true) return;
%>
