#!/bin/bash

. ~/etc/setenv.sh

# should have some configured DOCUMENT_ROOT or so

if [ ! -f $HOME/tmp/recompile.flag ]; then
  touch $HOME/tmp/recompile.flag

  cd ~/htdocs/
  ( echo main/index.jsp;
    echo cases/index.jsp;
    echo cases/reportview.jsp;
    echo cases/herpa.jsp
    echo cases/frame.jsp
    echo cases/getpbs.jsp
    echo imadmin/users.jsp ;
    echo imadmin/dicomsrv.jsp;
    echo imadmin/dicom.jsp;
    echo imadmin/logs.jsp;
    ls *.jsp */*.jsp ) 2>&1 | while read x; do
      if [ -f "$x" ] ; then 
	      echo `date` recompiling $x:
	      curl -s http://$SERVERNAME:$HTTP_PORT/$x?jsp_precompile=true
	    fi

  done

  rm -f $HOME/tmp/recompile.flag
fi 
