#!/bin/bash
#
## Component: tools
##
## Description:
##   Sets the status of an SR report back from Final to Preliminary
##
## Usage:
##   unfinal.sh <Study Instance UID> <SR file name>
##
## $Author $
## $Date $
##
#
#  RCS File Name    : $RCSfile $
#  RCS Revision     : $Revision $
#  Locked by        : $Locker $
#  Symbolic name    : $Name $
#  State            : $State $
#

. $HOME/etc/setenv.sh

if [ -z "$2" ] ; then
	echo "Missing argument" >&2
	echo "usage:      unfinal.sh  <Study Instance UID> <SR File Name>" >&2
	exit 1
fi

STUDY="$1"
SRFILE="$2"

$SR_HOME/bin/unfinal -s "$STUDY" -r "$SRFILE"
