#!/bin/bash

[ -f "$HOME/etc/setenv.sh" ] && . $HOME/etc/setenv.sh

HOST=$1
PORT=$2
AETITLE=$3
SOPIUID=$4
shift
shift
shift
shift
MODALITY=$@

if [ -z "$MODALITY" ] ; then
  echo "Usage: "
  echo "       invalidpc.sh <host> <port> <ae title> <sopiuid> <modality>"
  exit 1
fi

if [ -z "$DRWATSON_HOME" ] ; then
  echo "Missing Environment"
  exit 1
fi


MSGID="${HOST}_${PORT}_${AETITLE}_${SOPIUID}"
MESSAGE="SOP Classes for $MODALITY are not supported by $HOST:$PORT [$AETITLE]"

$DRWATSON_HOME/addmessage.sh -i "$MSGID" -t WARNING -l VAR "$MESSAGE"

