/*
 *
 * Component:
 *
 * Description:
 *
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 */

#define PB_OldPrivateCreatorString "ImageMedical"
#define PB_OldBlock1                           0x00ba
#define PB_OldBlock2                           0x00da

#define PB_PrivateCreatorString "PB group A"
#define PB_PrivateGroup                        0xf215
#define PB_CanonicBlock                        0x1000

#define PB_PBReport                            0x0001
#define PB_PBStatus                            0x0002
#define PB_PBFigure                            0x0003
#define PB_PBDictation                         0x0004
#define PB_PBImpression                        0x0005
#define PB_PBNormalIndication                  0x0006
#define PB_BiRadsCode                          0x0007

#define PB_PBHtmlImpressions                   0x000a
#define PB_PBImpressionsChecksum               0x000b
#define PB_PBHtmlInterpretationText            0x000c
#define PB_PBInterpretationTextChecksum        0x000d
#define PB_PBDictationSound                    0x000e

#define PB_PBDataStructuresVersion             0x0010

#define PB_BestWindow                          0x0011
#define PB_BestLevel                           0x0012
#define PB_PBMinPixelValue                     0x0013
#define PB_PBMaxPixelValue                     0x0014
#define PB_PBLastModifiedDate                  0x0015
#define PB_PBLastModifiedTime                  0x0016
#define PB_PBAcquisitionDate                   0x0017
#define PB_PBAcquisitionTime                   0x0018
#define PB_PBThumbnailSequence                 0x001a
#define PB_PBThumbnail                         0x001b
#define PB_PixeldataReference                  0x001d
#define PB_ActualBitsUsed                      0x001e

#define PB_RequestingPhysicianAddress          0x0021
#define PB_RequestingPhysicianEmailAddress     0x0022
#define PB_RequestingPhysicianFaxNumber        0x0023
#define PB_RequestingPhysicianPhoneNumber      0x0024
#define PB_RequestingPhysicianPager            0x0025

#define PB_PBProcCPT4Code                      0x002a
#define PB_PBICD9Code                          0x002b

#define PB_PBResultsSequence                   0x0031
#define PB_PBInterpretationSequence            0x0032
#define PB_PBDictationSequence                 0x0033
#define PB_PBReferencedResultsUID              0x0034
#define PB_PBReferencedInterpretationUID       0x0035
#define PB_PBReferencedDictationUID            0x0036
#define PB_PBResultsSentTo                     0x0037
#define PB_PBInterpretationSentTo              0x0038
#define PB_PBStudyStateAtReportTime            0x003a

#define PB_PBCreateOnlySequence                0x0041
#define PB_PBAppendSequence                    0x0042
#define PB_PBOverWriteSequence                 0x0043
#define PB_PBRemoveSequence                    0x0044

#define PB_ObsoleteStatus                      0x0045
#define PB_ObsoleteObjectSequence              0x0046
#define PB_InvalidateDate                      0x0047
#define PB_InvalidateTime                      0x0048
#define PB_InvalidatedSeriesSequence           0x0049
#define PB_InvalidatedObjectSequence           0x004a

#define PB_PBUser1                             0x0051
#define PB_PBUser2                             0x0052
#define PB_PBUser3                             0x0053
#define PB_PBUser4                             0x0054
#define PB_PBUser5                             0x0055
#define PB_PBUser6                             0x0056
#define PB_PBUser7                             0x0057
#define PB_PBUser8                             0x0058
#define PB_PBUser9                             0x0059
#define PB_PBUser10                            0x005a

#define PB_PBFolder                            0x0061
#define PB_PBStudySequence                     0x0062
#define PB_PBSeriesSequence                    0x0063
#define PB_PBInstanceSequence                  0x0064
#define PB_PBModifiedSOPInstanceUID            0x0065
#define PB_PBPropertySequence                  0x006a
#define PB_PBPropertyName                      0x006b
#define PB_PBPropertyValue                     0x006c

#define PB_PBOverlaySequence                   0x0071
#define PB_PBOverlayCompression                0x0072
#define PB_PBOverlay                           0x0073
#define PB_NumberOfPACSAttachments             0x0074
#define PB_AttachmentType                      0x0075
#define PB_PBProposedStudyInstanceUID          0x0076
#define PB_PBSchedulerOrderNumber              0x0077
#define PB_PBWarningIndicator                  0x0078
#define PB_NumberOfSchedulerAttachments        0x0079
#define PB_PBProcedureSequence                 0x007a
#define PB_PBPerformedProcedureStepSequence    0x007b

#define PB_PBHL7MessageTrigger                 0x0080
#define PB_PBLastMessageTriggered              0x0081

#define PB_ReadingLocationRegisteredID         0x0082
#define PB_ReadingLocationName                 0x0083
#define PB_ReadingLocationAddress              0x0084

#define PB_DerivationHistorySequence           0x0085
#define PB_DerivationOperation                 0x0086
#define PB_SourceStudyInstanceUID              0x0087
#define PB_TargetStudyInstanceUID              0x0088
#define PB_DerivationDateTime                  0x0089

#define PB_BlueLineData                        0x0090
#define PB_PBPluginState                       0x0094
#define PB_PBPluginReferenceUID                0x0095

#define PB_PBCustomFieldSequence               0x00a0
#define PB_PBFieldName                         0x00a1
#define PB_PBFieldValue                        0x00a2
#define PB_NoteSequence                        0x00a3
#define PB_UserID                              0x00a4
#define PB_OriginDeviceIdentifier              0x00a5
#define PB_RouterUUID                          0x00a6
#define PB_FacilityID                          0x00a8

//////////////////////////////////////////////////////////////

#define BLOCKTOELEM(_elem_)   ( (_elem_) >> 8 )
#define ELEMTOBLOCK(_elem_)    ( (_elem_) << 8 )

