#!/bin/bash

#Usage:
# createLicense.sh -u <userid> -p <password> -f <reqfile> [-f <reqfile>...] [-d <targetdir>] [{service} 'false'/'true'] [{limitation} <limit>] [{pluginname} 'false'/'true'] [{pluginname}Users <number>] [Expiry <numberofdays>] [SiteID <siteid>] 
# 		-h                	     	 : prints this help" 
# 		-u							 : the user's id who wishes to create the license" 
# 		-p							 : the user's password who wishes to create the license" 
# 		-f reqfile [-f reqfile...] : the collected license request files. Filenames can be absolute or relative to the actual directory." 
# 		 						Just be aware not to use the same filenames from different folders " 
# 		 						(because saved license names are using the name of the request file and thus could overwrite one another)" 
# 		-d directory               : the directory to save the licenses. Default is /home/medsrv/tmp/licenses" 
# 		{service} false/true       : {service} is any of the licensed Services as in the license xml (default: everything is true except MCS)" 
# 		{limitation} number        : {limitation} is any of the limitations as in the license xml (Users, Devices, Studies, Orders) (default is 0 meaning unlimited)" 
# 		{pluginname} false/true    : {pluginname} is any of the licensed Plugins as in the license xml, ShortName of the plugin (default: everything is true)" 
# 		{pluginname}Users number   : {pluginname} is the same as previous line, but 'Users' added. (example: AVIUsers). The 'number'is the number of users allowed for this plugin (default is 0 meaning unlimited)" 
# 		Expiry numberofdays        : the # of days the license will expire, min. 1, max. 183  (default is 183)" 
# 		SiteID siteid              : the site id. If given, all licenses will use this. If not given, the one coming from the license request is used " 
# 		                                (in this case it may be different for the different license requests)" 


. $HOME/etc/setenv.sh

# set classpath for java
CLASSPATH=$CLASSPATH:$HOME/component
export CLASSPATH

$JAVA_HOME/bin/java -Djava.locale.providers=COMPAT,CLDR com.erad.pacs.services.usermanager.service.internal.CheckWeakPasswords "$@"
