#!/bin/bash
#
# Component: tools
#
# Description:
#   Entry point for siteman.
#
# Usage:
#    siteman.sh <command> [<arg>...]  
#
# Last Updated     : $Author $
# Update Date Time : $Date $
# RCS File Name    : $RCSfile $
# RCS Revision     : $Revision $
# Locked by        : $Locker $
# Symbolic name    : $Name $
# State            : $State $

. $HOME/etc/setenv.sh

case $1 in
	status) if [ -f $DRWATSON_HOME/getSitemanStatus.sh ] ; then
				shift
				$DRWATSON_HOME/getSitemanStatus.sh $@
			else
				exit 3
			fi	;;
	license) if [ -f $DRWATSON_HOME/getVolumeInfo.sh ] ; then
				shift
				$DRWATSON_HOME/getVolumeInfo.sh $@
			else
				exit 4
			fi	;;
	admin) if [ -f $DRWATSON_HOME/getAdminInfo.sh ] ; then
				shift
				$DRWATSON_HOME/getAdminInfo.sh $@
			else
				exit 5
			fi	;;
	peer) if [ -f $DRWATSON_HOME/getPeerInfo.sh ] ; then
				shift
				$DRWATSON_HOME/getPeerInfo.sh $@
			else
				exit 6
			fi	;;
	*) exit 2 ;;
esac
